# Type Alias UserLevelAndRight

type UserLevelAndRight = {
accessRequestStatus?: GroupModerateStatus;
groupPrivacy: GroupPrivacy;
spotMinLevelToInvit: number;
userLevelSpot: UserLevelSpot;
userRights: Rights;
}

- Defined in jamespot-user-api/src/types/group.ts:101

##### Index

### Properties

accessRequestStatus?
groupPrivacy
spotMinLevelToInvit
userLevelSpot
userRights

## Properties

### `Optional` accessRequestStatus

accessRequestStatus?: GroupModerateStatus

- Defined in jamespot-user-api/src/types/group.ts:105

### groupPrivacy

groupPrivacy: GroupPrivacy

- Defined in jamespot-user-api/src/types/group.ts:106

### spotMinLevelToInvit

spotMinLevelToInvit: number

- Defined in jamespot-user-api/src/types/group.ts:103

### userLevelSpot

userLevelSpot: UserLevelSpot

- Defined in jamespot-user-api/src/types/group.ts:102

### userRights

userRights: Rights

- Defined in jamespot-user-api/src/types/group.ts:104